> # NAME

> texRECTfetch - unfiltered rectangle texture lookup.

> # SYNOPSIS

>       float4 texRECTfetch(samplerRECT samp, int4 s)
>       float4 texRECTfetch(samplerRECT samp, int4 s, int2 texelOff)

>       int4 texRECTfetch(isamplerRECT samp, int4 s)
>       int4 texRECTfetch(isamplerRECT samp, int4 s, int2 texelOff)

>       unsigned int4 texRECTfetch(usamplerRECT samp, int4 s)
>       unsigned int4 texRECTfetch(usamplerRECT samp, int4 s, int2 texelOff)

> # PARAMETERS

> samp

>   Sampler to lookup.

> s

>   Coordinates to perform the lookup. The level of detail is stored in the last component of the coordinate vector.

> texelOff

>   Offset to be added to obtain the final texel.

> # DESCRIPTION

> Performs an unfiltered texture lookup in sampler samp using coordinates s. The level of detail is provided by the last component of the coordinate vector. May use texel offset texelOff to compute final texel.

> # PROFILE SUPPORT

> texRECTfetch is only supported in gp4 and newer profiles.

> # SEE ALSO

> texRECTlod, texRECTbias, texRECT